Subject: Re: [Sipping] Why no To-Tag for Cancel Request?

From: Jonathan Rosenberg <[email-masked]>
Date: Fri, 06 Sep 2002 17:40:26 -0400

CANCEL cancels all branches spawned by an INVITE (each of which would 
have different tags), and thus cannot contain a tag from any one 
specific provisional response. Furthermore, CANCEL can be generated 
before a provisional response with a tag (although it needs to come 
after a 100 - but those don't carry tags).

-Jonathan R.

Hai-dang Pham wrote:
> Hi all,
> 
> 	I am wondering why CANCEL request (F9) don't use the To-Tag received
> in the 180 response (F8)?  This call flow is from
> draft-ietf-sipping-call-flows-00.txt section 3.2.1 Unsuccessful SIP to SIP
> no answer.
> 
> 
>    User A          Proxy 1          Proxy 2          User B 
>      |                |                |                | 
>      |   INVITE F1    |                |                | 
>      |--------------->|   INVITE F2    |                | 
>      |    (100) F3    |--------------->|   INVITE F4    | 
>      |<---------------|    (100) F5    |--------------->| 
>      |                |<---------------|                | 
>      |                |                |      180 F6    | 
>      |                |     180 F7     |<---------------| 
>      |     180 F8     |<---------------|                | 
>      |<---------------|                |                | 
>      |                |                |                | 
>      |   CANCEL F9    |                |                | 
>      |--------------->|                |                | 
>      |     200 F10    |                |                | 
>      |<---------------|   CANCEL F11   |                | 
>      |                |--------------->|                | 
>      |                |     200 F12    |                | 
>      |                |<---------------|                | 
>      |                |                |   CANCEL F13   | 
>      |                |                |--------------->| 
>      
> 
> 
> 
>     
>    F8 180 Ringing Proxy 1 -> A 
>     
>    SIP/2.0 180 Ringing 
>    Via: SIP/2.0/UDP here.com:5060;branch=z9hG4bK74bf9 
>     ;received=100.101.102.103 
>    Record-Route: <sip:ss2.wcom.com;lr>, <sip:ss1.wcom.com;lr> 
>    From: BigGuy <sip:[email-masked]>;tag=9fxced76sl 
>    To: LittleGuy <sip:[email-masked]>;tag=314159 
>    Call-ID: [email-masked] 
>    CSeq: 1 INVITE 
>    Contact: <sip:[email-masked]> 
>    Content-Length: 0 
>  
>    F9 CANCEL A -> Proxy 1 
>     
>    CANCEL sip:[email-masked] SIP/2.0 
>    Via: SIP/2.0/UDP here.com:5060;branch=z9hG4bK74bf9 
>    Max-Forwards: 70 
>    From: BigGuy <sip:[email-masked]>;tag=9fxced76sl 
>    To: LittleGuy <sip:[email-masked]> 
>    Call-ID: [email-masked] 
>    CSeq: 1 CANCEL 
>    Content-Length: 0 
>     
>     
> 
> Can somebody direct me to the section(s) in RFC3261 that explains this?
> 
> 
> Thanks you,
> 
> Hai-Dang
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 

-- 
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP